<?php
declare(strict_types=1);

namespace App\Message\Command;

use App\ApiResources\Export\ExportRequest;

/**
 * Transmission d'une ExportRequest au service d'export associé
 */
class Export
{
    public function __construct(
        private ExportRequest $exportRequest
    )
    {}

    /**
     * @return ExportRequest
     */
    public function getExportRequest(): ExportRequest
    {
        return $this->exportRequest;
    }

    /**
     * @param ExportRequest $exportRequest
     */
    public function setExportRequest(ExportRequest $exportRequest): void
    {
        $this->exportRequest = $exportRequest;
    }
}
